Public Member Functions | List of all members
librevenge::RVNGGenericProperty Class Reference
Inheritance diagram for librevenge::RVNGGenericProperty:

## Public Member Functions
| RVNGGenericProperty (const double val)
| ~RVNGGenericProperty ()
virtual RVNGString | getStr () const
virtual RVNGProperty * | clone () const
Public Member Functions inherited from librevenge::RVNGDoubleProperty
| RVNGDoubleProperty (const double val)
| ~RVNGDoubleProperty ()
virtual int | getInt () const
virtual double | getDouble () const
virtual RVNGUnit | getUnit () const
| returns the property unit when possible. More...
Public Member Functions inherited from librevenge::RVNGProperty
virtual | ~RVNGProperty ()

## Constructor & Destructor Documentation

## ◆ RVNGGenericProperty()

librevenge::RVNGGenericProperty::RVNGGenericProperty | ( | const double | val | ) |

## ◆ ~RVNGGenericProperty()

librevenge::RVNGGenericProperty::~RVNGGenericProperty | ( |  | ) |
| inline

## Member Function Documentation

## ◆ clone()

virtual RVNGProperty* librevenge::RVNGGenericProperty::clone | ( |  | ) | const
| virtual

Reimplemented from librevenge::RVNGDoubleProperty.

## ◆ getStr()

virtual RVNGString librevenge::RVNGGenericProperty::getStr | ( |  | ) | const
| virtual

Reimplemented from librevenge::RVNGDoubleProperty.

The documentation for this class was generated from the following file:

- RVNGProperty.cpp